#! /bin/bash

SCRIPT=$0
cat <<eod >/tmp/deprecate.txt
This command, <b>$SCRIPT</b>, is no longer available for use.

If there is still need for this command, please turn in a JIRA ticket indicating the script name and the reason why it is still needed.
eod
# cat </tmp/deprecate.txt

# capture the height and width of the current display resolution to allow the zenity
# window dimensions to be based on display resolution
   
# put the height and width dimensions of the display into variables
height=$(xdpyinfo | grep dimensions | awk '{print $2}' | awk -F 'x' '{print $2}')
width=$(xdpyinfo | grep dimensions | awk '{print $2}' | awk -F 'x' '{print $1}')

# calculate the display width and height to be 1/4 of the display resolution
display_height=$(echo "scale=2; $height/8" | bc)
display_width=$(echo "scale=2; $width/4" | bc)
   
# trim .00 from the end of the numbers
display_height=${display_height%.*}
display_width=${display_width%.*}

TEXT=`cat /tmp/deprecate.txt`
zenity --width=$display_width --height=$display_height --info --title='Deprecation Notice' --text="$TEXT"
rm /tmp/deprecate.txt
