<?xml version="1.0" encoding="ISO-8859-1" ?>
<!--
   This will transform an XML file of CVS CI information, locally
   edited TPID's and submitted TPID's, to an ActionGroup XML file.
   The ActionGroup file may then be input and processed by CUI.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
      version="1.0">
   <xsl:output method="xml" indent="yes" />

   <!--
      Starting point for transform.
   -->
   <xsl:template match="/">
      <ActionGroup>
         <xsl:apply-templates />
      </ActionGroup>
   </xsl:template>

   <!--
      Transform local TPID's.
   -->
   <xsl:template match="local_files">
      <group label='Local TPIDs'>
         <xsl:element name="launchItem">
            <xsl:attribute name="label">Create new CVS CI TPID</xsl:attribute>
            <xsl:attribute name="tooltip">Create a new CVS CI TPID from scratch.</xsl:attribute>
            <xsl:attribute name="repeatable">true</xsl:attribute>
            <xsl:attribute name="classname">com.cybermetrix.cvsci.CVSCustomerInput</xsl:attribute>
         </xsl:element>

         <xsl:apply-templates />
      </group>
   </xsl:template>

   <!--
      Transform submitted TPID's.
   -->
   <xsl:template match="submitted_files">
      <group label='Submitted TPIDs'>
      <xsl:apply-templates />
      </group>
   </xsl:template>

   <!--
      Transform a local TPID.
   -->
   <xsl:template match="local_files/file">
      <xsl:element name="launchItem">
         <xsl:attribute name="label">Edit local TPID <xsl:value-of select="text()" /></xsl:attribute>
         <xsl:attribute name="tooltip">Edit CVS CI local file <xsl:value-of select="text()" />.</xsl:attribute>
         <xsl:attribute name="repeatable">false</xsl:attribute>
         <xsl:attribute name="hotkey">ctrl "c"</xsl:attribute>
         <xsl:attribute name="classname">com.cybermetrix.cvsci.CVSCustomerInput</xsl:attribute>
         <xsl:value-of select="text()" />
      </xsl:element>
   </xsl:template>

   <!--
      Transform a submitted TPID.
   -->
   <xsl:template match="submitted_files/file">
      <xsl:element name="launchItem">
         <xsl:attribute name="label">Edit submitted TPID <xsl:value-of select="text()" /></xsl:attribute>
         <xsl:attribute name="tooltip">Edit CVS CI submitted TPID <xsl:value-of select="text()" />.</xsl:attribute>
         <xsl:attribute name="repeatable">false</xsl:attribute>
         <xsl:attribute name="hotkey">ctrl "c"</xsl:attribute>
         <xsl:attribute name="classname">com.cybermetrix.cvsci.CVSCustomerInput</xsl:attribute>
         <xsl:value-of select="text()" />
      </xsl:element>
   </xsl:template>
</xsl:stylesheet>
