<?xml version="1.0" encoding="ISO-8859-1" ?>
<!--
   Transform an XML file containing a set of logical labels into an
   ActionGroup XML file which CUI can read and process.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
      version="1.0">
   <xsl:output method="xml" indent="yes" />

   <!--
      Starting point for the transform.
   -->
   <xsl:template match="/">
      <ActionGroup>
         <xsl:element name="group">
         <xsl:attribute name="label"><xsl:value-of select="/logical_menu/@label" /></xsl:attribute>
         </xsl:element>
         <xsl:apply-templates />
      </ActionGroup>
   </xsl:template>

   <!--
     Transform an individual file name.
   -->
   <xsl:template match="//label">
      <xsl:element name="launchItem">
         <xsl:attribute name="tooltip">View/toggle the state of this logical variable.</xsl:attribute>
         <xsl:attribute name="classname">com.cybermetrix.cyflex.cui.SimpleActions</xsl:attribute>
         <xsl:attribute name="methodname">setLogicalVariable</xsl:attribute>
         <xsl:apply-templates />
      </xsl:element>
   </xsl:template>
</xsl:stylesheet>
