<?xml version="1.0" encoding="ISO-8859-1" ?>
<!--
   This file transforms an XML file containing a list of recent
   logr_specs script files into an ActionGroup which may then be input
   and processed by CUI.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
      version="1.0">
   <xsl:output method="xml" indent="yes" />

   <!--
      Starting point for the transform.
   -->
   <xsl:template match="/">
      <ActionGroup baseDirectory="/specs">
         <launchItem label="Create new"
            tooltip="Create a new logr_specs file."
            classname="com.cybermetrix.cyflex.specfiles.logr_specs"
            repeatable="true"
            command="specfilegui logr_specs"
            command_wait="false" command_local="true" />
         <xsl:apply-templates />
         logr_specs.def;
      </ActionGroup>
   </xsl:template>

   <!--
      Transform an individual filename.
   -->
   <xsl:template match="//file">
      <xsl:element name="launchItem">
         <xsl:attribute name="label"><xsl:value-of select="text()" /></xsl:attribute>
         <xsl:attribute name="tooltip">Edit logr specs file <xsl:value-of select="text()" /></xsl:attribute>
         <xsl:attribute name="classname">com.cybermetrix.cyflex.specfiles.logr_specs</xsl:attribute>
         <xsl:attribute name="repeatable">false</xsl:attribute>
         <xsl:attribute name="command">specfilegui logr_specs </xsl:attribute>
         <xsl:attribute name="command_wait">false</xsl:attribute>
         <xsl:attribute name="command_local">true</xsl:attribute>
         <xsl:value-of select="text()" />
      </xsl:element>
   </xsl:template>
</xsl:stylesheet>
