<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
   This will transform an XFDF file generated from a PDF file so that it
   will work with Velocity.
-->
<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" />

<!--
   Identity transform which is used in almost all cases.
-->
<xsl:template match="node()|@*">
   <xsl:copy>
      <xsl:apply-templates select="@*" />
      <xsl:apply-templates />
   </xsl:copy>
</xsl:template>

<!--
   Transform a standard field into itself.
-->
<xsl:template
      match="//fields/field[starts-with(@name,&quot;$&quot;)]">
   <xsl:element name="field">
      <xsl:attribute name="name"><xsl:value-of select="@name" />.getObjectReference()</xsl:attribute>
      <xsl:apply-templates />
   </xsl:element>
</xsl:template>

<!--
   Template to transform <fields><field><field>TEXT</field></field> and
   replace TEXT with the object reference needed.
-->
<xsl:template match="//fields/field/field">
   <xsl:element name="field">
      <!--
         Copy the name attribute value to the new element.
      -->
      <xsl:attribute name="name">
         <xsl:value-of select="@name" />
      </xsl:attribute>
      <!--
         Update the TEXT portion.
      -->
      <xsl:element name="value">
         <xsl:value-of select="../@name" />.<xsl:value-of select="@name" />
      </xsl:element>
   </xsl:element>
</xsl:template>

</xsl:stylesheet>
